#!/bin/sh -e

path=$(pwd)
cp_config="all"
if [ ! -d /mnt/upgrade ];
then
	mkdir /mnt/upgrade
fi

if [ -e /usr/bin/ctrl_bd ]; then
ret=`cat /usr/bin/ctrl_bd | grep "XILINX" | wc -l`
else
ret=0
fi

if [ $ret -eq 1 ];then
    cd ./xilinx
	
	if [ -e BOOT.bin ]; then
        flash_erase /dev/mtd0 0x0 0x80 >/dev/null 2>&1
        nandwrite -p -s 0x0 /dev/mtd0 ./BOOT.bin >/dev/null 2>&1
        rm -rf BOOT.bin
    fi

    if [ -e bmminer ]; then
        /etc/init.d/bmminer.sh stop > /dev/null 2>&1
		cp ./bmminer /usr/bin
    fi
	
	if [ -e minerConfiguration.cgi ]; then
        /etc/init.d/bmminer.sh stop > /dev/null 2>&1
		cp ./minerConfiguration.cgi /www/pages/cgi-bin
    fi
	
	if [ -e minerConfiguration2.cgi ]; then
        /etc/init.d/bmminer.sh stop > /dev/null 2>&1
		cp ./minerConfiguration2.cgi /www/pages/cgi-bin
    fi
	
	sync
	
	echo "Sun Nov 2 11:55:42 UTC 2018" > /usr/bin/compile_time
	echo "Antminer S9" >> /usr/bin/compile_time
	echo "LPM" >> /usr/bin/compile_time
	
 
else
	echo "This is not supported on C5 control board yet!"
fi
 
rm -rf *.tar.gz


#/sbin/reboot -f &
